For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList secrets (metadata only)
      • POSTCreate a secret
      • POSTCheck which secret keys exist, are missing, or revoked
      • POSTGet intake manifest for secret configuration
      • POSTSubmit secret values from intake screen
      • POSTGenerate dashboard URL for configuring missing secrets
      • GETGet secret metadata
      • PUTUpdate or rotate a secret
      • DELDelete a secret
Dashboard
LogoLogo
Runtype APISecrets

Generate dashboard URL for configuring missing secrets

POST
/v1/secrets/setup-url
POST
/v1/secrets/setup-url
$curl -X POST https://api.runtype.com/v1/secrets/setup-url \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "keys": [
> "DATABASE_URL",
> "API_SECRET_KEY",
> "SMTP_PASSWORD"
> ]
>}'
1{
2 "alreadyConfigured": [
3 "DATABASE_URL"
4 ],
5 "missing": [
6 "API_SECRET_KEY",
7 "SMTP_PASSWORD"
8 ],
9 "revoked": [
10 "OLD_API_KEY"
11 ],
12 "url": "https://dashboard.runtype.com/secrets/setup?context=product-12345"
13}
Was this page helpful?
Previous

Get secret metadata

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
keyslist of stringsRequired
contextobjectOptional

Response

Setup URL result
alreadyConfiguredlist of strings
missinglist of strings
revokedlist of strings
urlstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error